org.h2.java.lang

## Class Object

- java.lang.Object
- - org.h2.java.lang.Object

    public class Object
    extends java.lang.Object

A java.lang.Object implementation.

### Constructor Summary

Constructors
Constructor and Description
`Object()`

### Method Summary

Methods
`boolean` `equals(Object other)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Object

    public Object()

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(Object other)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`